unit Unit2;

interface

uses
  Winapi.Windows, Winapi.Messages, System.SysUtils, System.Variants, System.Classes, Vcl.Graphics,
  Vcl.Controls, Vcl.Forms, Vcl.Dialogs, VclTee.TeeGDIPlus, VCLTee.TeEngine,
  VCLTee.TeeTools, VCLTee.Series, VCLTee.GanttCh, Vcl.ExtCtrls, VCLTee.TeeProcs,
  VCLTee.Chart, DateUtils;

type
  TForm2 = class(TForm)
    Chart1: TChart;
    TeeGDIPlus1: TTeeGDIPlus;
    ChartTool1: TAxisScrollTool;
    Series2: TLineSeries;
    TeeGDIPlus2: TTeeGDIPlus;
    procedure FormCreate(Sender: TObject);
    procedure Chart1DblClick(Sender: TObject);
  private
    { Dclarations prives }
  public
    { Dclarations publiques }
  end;

var
  Form2: TForm2;

implementation
uses
  VclTee.TeCanvas,
  VclTee.TeeConst,
  VclTee.TeeThemes;

{$R *.dfm}

procedure TForm2.FormCreate(Sender: TObject);
var
  d: TDateTime;
  i: integer;
begin
  Series2.Clear;
  Series2.XValues.DateTime:= True;
  d:=Today;
 // d:= StrToDateTime('04/11/2015 02:30:00');
  d:= StrToDateTime('04/11/2015 00:35:00');
  for i:=0 to 60*50 do
  begin
    Series2.AddXY(d, 1);
    d:=IncMinute(d);
  end;

  with Chart1 do
  begin
    LeftAxis.Axis.Width:= 1;
    View3D := False;

    LeftAxis.Automatic := False;
    LeftAxis.MinimumOffset := 0;
    LeftAxis.MaximumOffset := 0;
    LeftAxis.Grid.Color:= clGray;
    LeftAxis.Grid.Style:= psDash;
    LeftAxis.Grid.SmallSpace:= 1;
    LeftAxis.GridCentered:= True;

    BottomAxis.DateTimeFormat := 'dd/MM/yyyy hh:nn:ss';
//    BottomAxis.LabelsSeparation := 0;
//    BottomAxis.LabelsSize := 0;
    BottomAxis.LabelsFont.Color := clNavy;
    BottomAxis.Increment := OneMinute;
    BottomAxis.Grid.Color:= clGray;
    BottomAxis.Grid.Style:= psDash;
    BottomAxis.Grid.SmallSpace:= 1;
    //BottomAxis.MinimumRound:= true;
    BottomAxis.MinimumOffset:= 0;
    BottomAxis.MaximumOffset:= 0;
    BottomAxis.LabelsSeparation:=0;
    BottomAxis.AutomaticMinimum:= False;
    BottomAxis.Minimum:= Series2.MinXValue;
    BottomAxis.Maximum:= Series2.MaxXValue;
    Screen.Cursors[5] := LoadCursor(HInstance,'CZOOM');
    Screen.Cursors[6] := LoadCursor(HInstance,'CGLISSER');
  end;
end;

procedure TForm2.Chart1DblClick(Sender: TObject);
begin
  Chart1.UndoZoom;
end;



end.
